---
jupytext:
  text_representation:
    extension: .md
    format_name: myst
    format_version: '0.8'
    jupytext_version: 1.4.2
kernelspec:
  display_name: Python 3
  language: python
  name: python3
---

How-to tutorials
================

The tutorials in this collection are mostly prompted by users. If you don't find the example you're looking for, request it!

[![](img/desire-path.jpg)](http://nataliastory.com/digital-desire-paths-user-experience-create-websites-work-way-people-want)

Ask for a how-to example
------------------------

Open an issue in GitHub to make a request:

[![](img/github-issues-documentation.png)](https://github.com/scikit-hep/awkward-1.0/issues/new?assignees=&labels=docs&template=documentation.md&title=)

The example should be generic enough to serve the majority of users, preferably by creating fake data with the [ak.Array](https://awkward-array.readthedocs.io/en/latest/_auto/ak.Array.html) constructor.

If you also answer your own question by providing a solution, I'd be happy to include your answer verbatim. Share your knowledge!

The list of how-to tutorials is in the menu on the left.

Other example-based help
------------------------

[StackOverflow has an [awkward-array] tag](https://stackoverflow.com/questions/tagged/awkward-array), which should be used for more detailed, specific questions that wouldn't make good documentation. This is particularly true if your question is about Awkward + other libraries, such as Awkward + Pandas or Awkward + Numba. StackOverflow has a community of experts in a wider set of fields than just Awkward Array.
